---
lang: en
title: 'API docs: repository.deduplicate'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.deduplicate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [deduplicate](./repository.deduplicate.md)

## deduplicate() function

Dedupe an array

<b>Signature:</b>

```typescript
export declare function deduplicate<T>(input: T[]): T[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  input | <code>T[]</code> | an array of sourceIds |

<b>Returns:</b>

`T[]`

an array with unique items


